Name:          xwd
Version:       1.0.9
Release:       %mkrel 1
Summary:       Dump an image of an X window
License:       MIT
Group:         Development/X11

URL:           https://cgit.freedesktop.org/xorg/app/xwd
Source:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xmu) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xkbfile)

%description
Xwd is an X Window System window dumping utility. Xwd allows X users to store
window images in a specially formatted dump file. This file can then be read by
various other X utilities for display, printing, editing, formatting,
archiving, image processing, and so on.

%prep
%autosetup

%build
%configure  --x-includes=%{_includedir}\
                --x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xwd
%{_mandir}/man1/xwd.*


%changelog
* Tue Oct 31 2023 daviddavid <daviddavid> 1.0.9-1.mga10
+ Revision: 2003005
- new version: 1.0.9

* Wed Mar 30 2022 umeabot <umeabot> 1.0.8-2.mga9
+ Revision: 1835570
- Mageia 9 Mass Rebuild

* Fri Aug 06 2021 luigiwalser <luigiwalser> 1.0.8-1.mga9
+ Revision: 1739926
- 1.0.8

* Fri Feb 14 2020 umeabot <umeabot> 1.0.7-3.mga8
+ Revision: 1519029
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.7-2.mga7
+ Revision: 1301999
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 1.0.7-1.mga7
+ Revision: 1208303
- new release

* Tue Feb 02 2016 umeabot <umeabot> 1.0.6-5.mga6
+ Revision: 931571
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-4.mga5
+ Revision: 745709
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-3.mga5
+ Revision: 690803
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.6-2.mga4
+ Revision: 532082
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 luigiwalser <luigiwalser> 1.0.6-1.mga4
+ Revision: 466738
- 1.0.6
- BR libxkbfile-devel

* Mon Jan 14 2013 umeabot <umeabot> 1.0.5-3.mga3
+ Revision: 387529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.0.5-2.mga3
+ Revision: 315352
- Rebuild for mga3

* Sat Feb 25 2012 eatdirt <eatdirt> 1.0.5-1.mga2
+ Revision: 214468
- Upgrade to 1.0.5, cleaning specfile

* Fri Jan 21 2011 ennael <ennael> 1.0.4-1.mga1
+ Revision: 30440
- imported package xwd


* Mon Nov 08 2010 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 594890
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 464751
- New version: 1.0.3

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.2-2mdv2009.1
+ Revision: 350743
- rebuild

* Mon Jun 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.2-1mdv2009.0
+ Revision: 230103
- New version

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-6mdv2008.1
+ Revision: 179445
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.
    - Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-4mdv2008.0
+ Revision: 80801
- rebuild for 2008
- slight spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:15:56 (31710)
- fill in a few more missing descriptions

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

